package com.jxml.quick.util.qdmlExpand;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QDML data.
 */
public class QCExtends extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QDMExtends dm=(QDMExtends)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		startElement("extends");

		addStringContent(dm.text);

		endElement("extends");
	}
}
